#gameContainer {
    text-align: center;
}
#gameBoard {
    border: 3px solid;
}
#scoreText {
    color: #00ff88;
    font-size: 100px;
    font-weight: bold;
    margin-bottom: 10px;
    text-shadow: 0 0 10px rgba(0, 255, 136, 0.5);
}
#resetBtn {
    margin-top: 12px;
    padding: 10px 18px;
    font-size: 16px;
    border: none;
    border-radius: 8px;
    background: #00ff88;
    color: black;
    cursor: pointer;
}
body {
    margin: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: radial-gradient(circle at center, #1b1b1b, #000);
    font-family: Arial, sans-serif;
}
canvas {
    border: 4px solid #2f2f2f;
    border-radius: 12px;
    box-shadow: 0 0 20px rgba(255, 255, 255, 0.15);
    background: #111;
}
#resetBtn:hover {
    background: #000;
    color: #00ff88;
    transition: 0.4s ease;
}
#resetBtn:active {
    opacity: 0.5;
    transition: 0.2s ease;
}
#bestscore {
    color: #00ff88;
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 10px;
    text-shadow: 0 0 10px rgba(0, 255, 136, 0.5);
    
}
#gameoverscreen {
    position: absolute;
    background: #222;
    height: 300px;
    width: 300px;
    margin-top: 103px;
    margin-left: 103px;
    border-radius: 50px;
    box-shadow: 0 0 20px rgba(255, 255, 255, 0.25);
    border: 3px solid;
    display: none;
}
#gameoverscreencontainer {
    align-items: center;
}
#score {
    color: #00ff88;
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 10px;
    text-shadow: 0 0 10px rgba(0, 255, 136, 0.5);
    margin-top: 10px;
}
#gameover {
    font-size: 50px;
    margin-top: 15px;
    font-family: 'Press Start 2P', cursive;
}
#gameover2 {
    font-size: 50px;
    font-family: 'Press Start 2P', cursive;
}
#bestscore2 {
    color: #00ff88;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
    text-shadow: 0 0 10px rgba(0, 255, 136, 0.5);
}
#backarrow {
    position: absolute;
    top: 10px;
    left: 10px;
    width: 50px;
    height: 50px;
    z-index: 10;
    cursor: pointer;
}
#backarrow:hover {
    transform: scale(1.1);
    transition: all 0.2s;
}
#backarrow:active {
    transform: scale(1);
    transition: all 0.2s;
}

